<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bPersonal,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
	<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null) {
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>
<%
	String origen = request.getParameter("Origen")==null?"":request.getParameter("Origen");
%>
<HTML>
<head>
	<title><%= resTit.getString("titTalleresBusqueda")%></title>
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="CancelarEnter();" onload="document.body.style.cursor='default';InicializarMenu();" onunload="document.body.style.cursor='wait';">
 <SCRIPT language=JavaScript>
 	var urlIdioma;		//URL recarga en funcion del idioma
	var rutaCabecera;	//Camino de migas
	var	detPadre;

	urlIdioma = "<%=m05bConstantesPaginas.MTO_TALLERES_BUSQUEDA%>";
	detPadre = '<%=resCM.getString("cmRelTalleres")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_TALLERES%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmTalleresBusqueda")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%if(origen==null || origen.equals("")){%>
 	<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
 <%}%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<%if(origen==null || origen.equals("")){%>
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
			<%}%>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formBusqTaller" METHOD="POST">
				  <TABLE class="general">
				    <tr>
					    <td align="right">
					    	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
					    </td>
				      	<td width="10%" align="right">
				      		<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
				        </td>
						<input type="hidden" name="Origen" value="<%=(request.getParameter("Origen")==null?"":request.getParameter("Origen"))%>" />
					</tr>
				  </TABLE>
				  <p>
				  <TABLE class="general">
				    <tr>
				      <td width="10%" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
				      <td width="45%" class="inputFieldTitle"><%= res.getString("etDescripcion")%></td>
				    </tr>
				    <tr>
					  <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Codigo" VALUE="" size="18" maxlength="10"/> </td>
					  <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Descripcion" VALUE="" size="80" maxlength="100"/> </td>
				    </tr>
				  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3">
			<%if(origen==null || origen.equals("")){%>
				<%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>
			<%}%>
			</td>
	</tr>
</table>
<%
	String cod = request.getParameter("Codigo")==null?"":request.getParameter("Codigo");
	String desc = request.getParameter("Descripcion")==null?"":request.getParameter("Descripcion");
%>
<SCRIPT language='javascript'>
    setTimeout('InicializarSlide()', 1);

	function fncRetornar() {
		var docu = document.formBusqTaller;
		docu.action="m05bRelTalleresJsp.jsp?Codigo=<%=cod%>&Descripcion=<%=desc%>";
		docu.submit();
	}

    function fncBuscar() {
		var docu = document.formBusqTaller;
		if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')) {
			alert(dameAlerta(idioma, 0));
			docu.Codigo.focus();
			return;
		}
		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')) {
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return;
		}
		docu.action="m05bRelTalleresJsp.jsp?Codigo=" + docu.Codigo.value + "&Descripcion=" + docu.Descripcion.value;
		docu.submit();
	}

   	function InicializarMenu() {
		try {
		   	InitMenu();
	   	} catch(e) {
	   	}
   	}

   	function CancelarEnter() {
		try {
	   	   	cancelaEnter();
	   	} catch(e) {
	   	}
   	}

   	function InicializarSlide() {
		try {
	   	   	initSlide();
	   	} catch(e) {
	   	}
   	}
</SCRIPT>
</BODY>
</HTML>